Package org.bgerp.app.servlet.filter

# Class SetCharacterEncodingFilter

java.lang.Object
org.bgerp.app.servlet.filter.SetCharacterEncodingFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class SetCharacterEncodingFilter extends Object implements javax.servlet.Filter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `encoding`
  `protected javax.servlet.FilterConfig`
  `filterConfig`
  `protected boolean`
  `ignore`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetCharacterEncodingFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `void`
  `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
  `void`
  `init(javax.servlet.FilterConfig filterConfig)`
  `protected String`
  `selectEncoding(javax.servlet.ServletRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### encoding

    protected String encoding

  - ### filterConfig

    protected javax.servlet.FilterConfig filterConfig

  - ### ignore

    protected boolean ignore

- ## Constructor Details

  - ### SetCharacterEncodingFilter

    public SetCharacterEncodingFilter()

- ## Method Details

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `javax.servlet.Filter`

  - ### doFilter

    public void doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain) throws IOException, javax.servlet.ServletException
    Specified by:
      `doFilter` in interface `javax.servlet.Filter`
    Throws:
      `IOException`
      `javax.servlet.ServletException`

  - ### init

    public void init(javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException
    Specified by:
      `init` in interface `javax.servlet.Filter`
    Throws:
      `javax.servlet.ServletException`

  - ### selectEncoding

    protected String selectEncoding(javax.servlet.ServletRequest request)